Skip to content

Return hotel rules (full payload).

Request

Hotel Rules retrieves the rules associated with a specific rate. The full payload request in this topic sends all required rate details, while the reference payload Rules request references rate details from a previous Availability response by sending the offer ID from that response. The response for both the reference and full payload is the same.

Security
bearerAuth
Headers
TraceIdstring, [ 10 .. 89 ] characters(^[a-zA-Z-0-9_]*[-]?[+]?$)

Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
TVP-Correlation-Idstring, (uuid)

Identifier used to correlate hotel API invocations across a multi-call business flows.

Example:382c74c3-721d-4f34-80e5-57657b6cbc27
Bodyapplication/jsonrequired
OfferQueryHospitalityRequestobject(OfferQueryHospitalityRequest)

Used for a Hotel Rules (Full Payload) request. Defines a request to retrieve the rules associated with a specific rate by sending the required rate details directly instead of referencing a preceding Hotel Availability response. This request is typically sent after Hotel Availability and before booking.

curl -i -X POST \
  https://api.pp.travelport.net/11/hotel/rules/offershospitality/buildfromrequest \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-Correlation-Id: 382c74c3-721d-4f34-80e5-57657b6cbc27' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -d '{
    "OfferQueryHospitalityRequest": {
      "@type": "OfferQueryHospitalityRequest",
      "bookingCode": "A01E03",
      "requestedCurrency": "EUR",
      "checkinDate": "2026-12-01",
      "checkoutDate": "2026-12-02",
      "numberOfGuests": 1,
      "storedAmount": 398.65,
      "storedCurrency": "CAD",
      "HotelAggregator": "Travelport",
      "PropertyKey": {
        "@type": "PropertyKey",
        "chainCode": "HH",
        "propertyCode": "95075"
      },
      "RateCandidate": {
        "@type": "RateCandidateDetail",
        "rateCode": "H81",
        "rateID": "8181000"
      }
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
OfferHospitalityResponseobject(OfferHospitalityResponse)

The response of a Hotel Rules (Reference Payload) or Hotel Rules (Full Payload) endpoint request.

Response
{ "OfferHospitalityResponse": { "Offer": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }